import { CurrencyOptions, DateOptions, EmailValidationOptions } from '../types';
/**
 * @description  Takes a number and returns it as currency format
 * @param {number} amount
 * @param {string} countryCode
 * @param {string} style
 * @param {string} currencyCode
 * @return {string} formatted string
 */
export declare function convertToMoneyString({ amount, countryCode, style, currencyCode }: CurrencyOptions): string;
/**
 * @description  Takes a date-like string and returns a formatted date with the specified country code
 * @param {string} date
 * @param {string} countryCode
 * @returns {string} formatted date string
 */
export declare function convertToDateString({ date, countryCode }: DateOptions): string;
/**
 * @description   Takes an string and verifies if has a correct email format
 * @param {string} email
 * @returns {boolean} true or false
 */
export declare function validateEmailFormat({ email }: EmailValidationOptions): boolean;
